curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "list",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY" }
}'
{
"recipients": [
{
"id": "1",
"createTime": "2024-02-26T11:07:55.000Z",
"changeTime": "2024-02-26T11:07:59.000Z",
"name": "Recipient Name",
"email": "Recipient Email",
"customMessage": "Custom message text",
"position": "1",
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"recipientKey": "RECIPIENT_KEY",
}
],
"code": "200",
"message": "Recipients found"
}
Recipient
List of recipients
Get a list of all recipients created in a specific contract.
POST
/
api
/
recipient
curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "list",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY" }
}'
{
"recipients": [
{
"id": "1",
"createTime": "2024-02-26T11:07:55.000Z",
"changeTime": "2024-02-26T11:07:59.000Z",
"name": "Recipient Name",
"email": "Recipient Email",
"customMessage": "Custom message text",
"position": "1",
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"recipientKey": "RECIPIENT_KEY",
}
],
"code": "200",
"message": "Recipients found"
}
Documentation Index
Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
Use this file to discover all available pages before exploring further.
Body parameters
Response
Array of recipients.
Show child attribute
Show child attribute
ID of the recipient.
Create time.
Change time.
Name of the recipient.
Email of the recipient.
Custom message of the recipient.
Position of the recipient.
Action of the recipient.
Key of the recipient.
The code of the answer.
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "list",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY" }
}'
{
"recipients": [
{
"id": "1",
"createTime": "2024-02-26T11:07:55.000Z",
"changeTime": "2024-02-26T11:07:59.000Z",
"name": "Recipient Name",
"email": "Recipient Email",
"customMessage": "Custom message text",
"position": "1",
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"recipientKey": "RECIPIENT_KEY",
}
],
"code": "200",
"message": "Recipients found"
}
⌘I